v.unpack(1)

NAME
v.unpack - Imports a GRASS GIS specific vector archive file (packed with v.pack) as a vector map

KEYWORDS
vector, import, copying

SYNOPSIS
v.unpack
v.unpack --help
v.unpack [-op] input=name.pack [output=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-o
    Override projection check (use current location’s projection)
    Assume that the dataset has same projection as the current location

-p
    Print projection information of input pack file and exit

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name.pack [required]
    Name of input pack file

output=name
    Name for output vector map
    Default: taken from input file internals

DESCRIPTION
v.unpack allows unpacking vector maps packed by v.pack.

NOTES
Name of the vector map is determined by default from pack file internals. Optionally the name can be given by output parameter.

EXAMPLE
Pack up vector map random_point into random_point.pack file.

v.pack input=random_point

the vector map can be afterwards unpacked by

v.unpack input=random_point.pack

SEE ALSO
v.pack, v.in.ogr, r.pack

AUTHORS
Luca Delucchi, Fondazione E. Mach (Italy), based on the r.unpack code

Last changed: $Date$

SOURCE CODE

Available at: v.unpack source code (history)

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual